<?php
/*
File: inc/install.php
Description: Install functions
Plugin: Mega Posts and custom Posts Display
Author: Ad-theme.com
*/


//***************************************************************************
// Options Install/Unistall
//***************************************************************************

register_activation_hook(__FILE__,'megaposts_install_options');
register_deactivation_hook(__FILE__, 'megaposts_uninstall_options');


// Install Options Function
function megaposts_install_options() {
	
	// Force to uninstall past options
    megaposts_uninstall_options();
	
	// Update the revrite rules on activation
	flush_rewrite_rules();
	
}

// Uninstall Options Function
function megaposts_uninstall_options() { 
	
	// Update the revrite rules on deactivation
	flush_rewrite_rules();
	
}



//***************************************************************************
// Plugin INIT
//***************************************************************************

// ASSETS
require_once(AD_MP_DIR.'assets/assets.php');

// FUNCTION
require_once(AD_MP_DIR.'inc/functions.php');

// SHORTCODES
require_once(AD_MP_DIR.'inc/shortcodes/shortcodes-functions.php');

// WIDGET
require_once(AD_MP_DIR.'inc/widget/widget-contacts.php');
require_once(AD_MP_DIR.'inc/widget/widget-flickr.php');
require_once(AD_MP_DIR.'inc/widget/widget-mega-posts.php');
require_once(AD_MP_DIR.'inc/widget/widget-woo-mega.php');
