<?php
/*
File: inc/posts_carousel_type2.php
Description: Carousel Type 2
Plugin: Mega Posts and custom Posts Display
Author: Ad-theme.com
*/

function adposts_carousel_type2 ( $attr ) {	
		
		extract(
			shortcode_atts(
				array(
					"source" => '',
					"category" => '',					
					"post_type" => '',
					"num" => '5', 
					"excerpt" => '300',
					"date_format" => '', // http://codex.wordpress.org/Formatting_Date_and_Time								
					"maincolor" => '#FFF',
					"opacity" => '0.9',
					"date" => 'true',
					"comments" => 'true',
					"author" => 'true',
					"view" => 'true',
					"category_show" => 'true',
					"orderby" => 'date',
					"order" => 'DESC',
					"lazyload" => 'true',
					"item_show" => '2',
					"paginationSpeed" => '1000',
					"goToFirstSpeed" => '2000',
					"navigation" => 'true',
					"autoplay" => '2000'									
					), 
					$attr)
		);
		
		if(empty($num) || $num == '') { $num = '-1'; }


		if(empty($lazyload)) { $lazyload = 'true'; }
		if(empty($item_show) || $item_show == '') { $item_show = '4'; }		
		if(empty($paginationSpeed) || $paginationSpeed == '') { $paginationSpeed = '1000'; }
		if(empty($goToFirstSpeed) || $goToFirstSpeed == '') { $goToFirstSpeed = '2000'; }



		
		static $istance;
		$istance++;
		
		if($opacity == '') {
			$opacity = '1';
		}		
		
		$rgb_main_color = admegapostshex2rgb($maincolor);
		$rgba_main_color = "rgba( ".$rgb_main_color[0]." , ".$rgb_main_color[1]." , ".$rgb_main_color[2]." , ".$opacity.")";	

		if($excerpt == '') {
			$excerpt = '300';
		}
		

		
		$query = 'posts_per_page='.$num.'&post_status=publish';
		
		

		
		if($source == 'post') {
			if($category == 'all') {
				$category = '';
			}					
			$query .= '&post_type=post&category_name='.$category;
		} else {
			$query .= '&post_type='.$post_type;
		}
			$query .= '&order='.$order.'&orderby='.$orderby;	
		
		$return = "<style type=\"text/css\">
					.posts_carousel_type2.admpselector-$istance .admegaposts-thumbs-container:hover .admp-info-left {		
		 	     		background:{$rgba_main_color};
					}
					</style>";
		$return .= '<script type="text/javascript">
					jQuery(document).ready(function($){
						$("#admp-carousel-type-2-'.$istance.'").owlCarousel({
							items : '.$item_show.',
							lazyLoad : '.$lazyload.',
							navigation : '.$navigation.',
							stopOnHover : true,';
							if(!empty($autoplay) || $autoplay != '') { 
								$return .= 'autoPlay: ' . $autoplay .',
								';
							}					
				$return	.= 'paginationSpeed : '. $paginationSpeed.', 
							goToFirstSpeed : '. $goToFirstSpeed .'		
							});						
					}); 
					</script>';			
		
		$return .= '<div class="adclear"></div><div id="admp-carousel-type-2-'.$istance.'" class="owl-carousel'.$istance.' admegaposts posts_carousel_type2 admpselector-'.$istance.'">'; // OPEN MAIN DIV
		
		
		$count = 0;
		$loop = new WP_Query($query);
		if($loop) { 
		while ( $loop->have_posts() ) : $loop->the_post();
		$link = get_permalink(); 
		$categories = get_the_category();	
	
			
		$return .= '<div class="item">';
			
		$return .= '<div class="admegaposts-thumbs-container">'.admegaposts_thumbs();

		$return .= '';
			
		$return .= '<div class="admp-info-left">';				
		if($date == 'true') {
			$return .= '<span class="admp-date"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>';
		}		
		$return .= '<span class="admp-title"><a href="'.$link.'">'.get_the_title().'</a></span>';
		$return .= '<span class="admp-content">'.admegaposts_excerpt($excerpt).'</span><a class="admp-read-more" href="'.$link.'">'.__('Read More','admegaposts').'</a>';
		$return .= '<div class="admp-details">'.admegaposts_post_info(false,$comments,$author,$category_show,$view,$source,$date_format).'</div>';
		$return .= '</div></div>';			
		$return .= '</div>';
		

		
		
		
		
		
		
		$count++;
		endwhile;
		}		
		
		$return .= '</div>'; // CLOSE MAIN DIV
		
		

		
		wp_reset_query();
		return $return;
	}  
add_shortcode("adposts_carousel_type2", "adposts_carousel_type2");	