<?php
/*
Plugin: Mega Posts and custom Posts Display
Author: Ad-theme.com
*/

function admegaposts_button( $page = null, $target = null ) {



  echo '<a href="#" class="button" title="ADD MEGA SHORTCODES" id="admegaposts-generator-button"><span class="admegaposts-button-portfolio"></span>ADD MEGA SHORTCODES</a>';	


 }

add_action( 'media_buttons', 'admegaposts_button', 100 );

function admegaposts_generator() {

	?>

	<div id="admegaposts-generator-overlay" class="admegaposts-overlay-bg" style="display:none"></div>

  <div id="admegaposts-generator-wrap" style="display:none">

   <div id="admegaposts-generator">

       <a href="#" id="admegaposts-generator-close"><span class="admegaposts-close">x</span></a>

     <p class="position2"><?php _e('Choose Shortcodes','admegaposts'); ?></p>
     
     <select id="admegaposts_shortcode_type" name="admegaposts_shortcode_type" class="">
     	<optgroup label="<?php _e('Posts Display','admegaposts'); ?>">
             <option value="display_type1">Posts Display Type1 (1 Posts Features)</option>
             <option value="display_type2">Posts Display Type2 (1 Posts Features + Small Post)</option>
             <option value="display_type3">Posts Display Type3 (N Colomuns)</option>
             <option value="display_type4">Posts Display Type4 (N Posts at 100%)</option>
             <option value="display_type5">Posts Display Type5 (1 Posts Features + Title)</option>
        </optgroup> 
     	<optgroup label="<?php _e('Posts Carousel','admegaposts'); ?>">        
         	 <option value="carousel_type1">Posts Carousel Type1</option>
             <option value="carousel_type2">Posts Carousel Type2</option>
             <option value="carousel_type3">Posts Carousel Type3</option>
        </optgroup>
     	<optgroup label="<?php _e('News Ticker','admegaposts'); ?>">        
         	 <option value="newsticker_type1">Posts NewsTicker Type1</option>
             <option value="newsticker_type2">Posts NewsTicker Type2</option>
        </optgroup>              
        <optgroup label="<?php _e('General Shortcodes','admegaposts'); ?>">
         	 <option value="admp_columns">Columns</option>
             <option value="admp_tabs">Tabs</option>
        </optgroup>              
     </select>


	<div class="display_general">

     <p class="position"><?php _e('Source: ', 'admegaposts'); ?></p>			

     <select id="admegaposts_source" name="admegaposts_source" class="">  

       <option value="post"><?php _e('Post', 'admegaposts'); ?></option>
       <option value="post_type"><?php _e('Custom Post Type', 'admegaposts'); ?></option>
       
     </select> 
     
     <div class="post_type" style="display:none;">
     
       <p class="position"><?php _e('Custom Post Type: ', 'admegaposts'); ?></p>
         
         <?php

			echo all_post_types();

		 ?>        
     
     </div>
       <div class="admegaposts_post_category">   
       
       <p class="position"><?php _e('Select Category (Multiple category is allowed)', 'admegaposts'); ?></p>
       
       
       
       <select id="admegaposts_category" multiple="multiple">
       <option value="all"><?php _e('All','admegaposts'); ?></option>
	   <?php 
  			$categories = get_categories(); 
  			foreach ($categories as $category) {
			$option = '<option value="'.$category->slug.'">';
			$option .= $category->cat_name;
			$option .= ' ('.$category->category_count.')';
			$option .= '</option>';
			echo $option;
  			}
 		?>
       </select>
       </div>

     
     <div id="display_type1">
	 
	 <?php require('editor/posts-display-type1.php'); ?>    
     
     </div>

     <div id="display_type2" style="display:none;">
	 
	 <?php require('editor/posts-display-type2.php'); ?>    
     
     </div>
     
     <div id="display_type3" style="display:none;">
	 
	 <?php require('editor/posts-display-type3.php'); ?>    
     
     </div>     

     <div id="display_type4" style="display:none;">
	 
	 <?php require('editor/posts-display-type4.php'); ?>    
     
     </div>  

     <div id="display_type5" style="display:none;">
	 
	 <?php require('editor/posts-display-type5.php'); ?>    
     
     </div>  
     
     <div id="carousel_type1" style="display:none;">
	 
	 <?php require('editor/posts-carousel-type1.php'); ?>    
     
     </div> 

     <div id="carousel_type2" style="display:none;">
	 
	 <?php require('editor/posts-carousel-type2.php'); ?>    
     
     </div> 

     <div id="carousel_type3" style="display:none;">
	 
	 <?php require('editor/posts-carousel-type3.php'); ?>    
     
     </div> 

     <div id="newsticker_type1" style="display:none;">
	 
	 <?php require('editor/posts-newsticker-type1.php'); ?>    
     
     </div> 

     <div id="newsticker_type2" style="display:none;">
	 
	 <?php require('editor/posts-newsticker-type2.php'); ?>    
     
     </div>           
	</div> <!-- END DISPLAY GENERAL -->

     <div class="admp_columns" style="display:none;">
	 
	 <?php require('editor/columns.php'); ?>    
     
     </div>
     
     <div class="admp_tabs" style="display:none;">
	 
	 <?php require('editor/tabs.php'); ?>    
     
     </div>     
        <br />
        <br />       
       <input name="admegaposts-generator-insert" type="submit" class="button button-primary button-large" id="admegaposts-generator-insert" value="Insert Shortcodes">
       
       </div>

   </div>


   
	<?php

}

add_action( 'admin_footer', 'admegaposts_generator' );