<?php
/*
Plugin: Mega Posts and custom Posts Display
Author: Ad-theme.com
*/

// Tab
function tab_shortcode( $atts, $content = null ) {
    extract( shortcode_atts( array(
        'title' => ''
    ), $atts ) );
	$return = '<div id="tabs-'. sanitize_title( $title ) .'">'. do_shortcode( $content ) .'</div>';
    return $return;
}
add_shortcode( 'tab', 'tab_shortcode' );

// Tabs Container
function tabs_container_shortcode( $atts, $content = null ) {
    extract( shortcode_atts( array(
        'style' => 'style1',
		'maincolor' => 'red',
		'overcolor' => 'gray'		
    ), $atts ) );
    preg_match_all( '/tab title="([^\"]+)"/i', $content, $matche, PREG_OFFSET_CAPTURE );

    $tab_title = array();

    if( isset($matche[1]) ) {
        $tab_title = $matche[1];
    }
	
	static $istance;
	$istance++;
	
	if($style == 'style1') {
		$output = "<style type=\"text/css\">
					.admegaposts-tab.style1 .ui-state-default a, 
					.admegaposts-tab.style1 .ui-state-default a:link, 
					.admegaposts-tab.style1 .ui-state-default a:visited {
						color:$maincolor;	
					}
					.admegaposts-tab.style1 .ui-state-default a {
						border-bottom-color:$maincolor;	
					}
					.admegaposts-tab.style1 .ui-state-active a, 
					.admegaposts-tab.style1 .ui-state-active a:link, 
					.admegaposts-tab.style1 .ui-state-active a:visited {
						border-bottom-color:$overcolor;	
						color:$overcolor;
					}
					.admegaposts-tab.style1 .ui-state-default.ui-state-hover {
						background:none;
					}
					.admegaposts-tab.style1 .ui-state-default.ui-state-hover a, 
					.admegaposts-tab.style1 .ui-state-default.ui-state-hover a:link, 
					.admegaposts-tab.style1 .ui-state-default.ui-state-hover a:visited {
						color:$overcolor;
						border-bottom-color:$overcolor;	
						background:none;
					}				
					</style>";
	} else {
		$output = "<style type=\"text/css\">
					.admegaposts-tab.style2 .ui-state-default.ui-state-hover a, 
					.admegaposts-tab.style2 .ui-state-default.ui-state-hover a:link, 
					.admegaposts-tab.style2 .ui-state-default.ui-state-hover a:visited {
						background:$overcolor;
						border-color:$maincolor;	
					}
					.admegaposts-tab.style2 .ui-state-active a, 
					.admegaposts-tab.style2 .ui-state-active a:link, 
					.admegaposts-tab.style2 .ui-state-active a:visited {
						background:$overcolor;
						border-color:$maincolor;						
					}
					.admegaposts-tab.style2 .ui-widget-content ul {
						border-bottom-color:$maincolor;
					}
					.admegaposts-tab.style2 .ui-state-hover a {
						background:$overcolor;	
					}
					.admegaposts-tab.style2 .ui-state-default a, .admegaposts-tab.style2 .ui-state-hover a {
						border-color:$maincolor;
					}
					</style>";		
	}
    $output .= '<script>
				jQuery(document).ready(function($){
					$( "#tabs-'.$istance.'" ).tabs();
				});
			   </script>';			   
	$output .= '<div class="admegaposts-tab '.$style.'">';
    if( count($tab_title) ) {
        $output .= '<div id="tabs-'.$istance.'">';
        $output .= '<ul class="admp-nav clearfix">';
        foreach( $tab_title as $tab ){
            $output .= '<li><a href="#tabs-'. sanitize_title( $tab[0] ) .'">' . $tab[0] . '</a></li>';
        }
        $output .= '</ul>' . do_shortcode( $content ) . '</div><div class="adclear"></div></div>';
    } else {
        $output .= do_shortcode( $content );
    }

    return $output;

}
add_shortcode( 'tabs_container', 'tabs_container_shortcode' );