<?php
/*
Plugin: Mega Posts and custom Posts Display
Author: Ad-theme.com
*/

function adposts_newsticker_type2 ( $attr ) {	
		
		extract(
			shortcode_atts(
				array(
					"source" => '',
					"category" => '',					
					"post_type" => '',
					"num" => '5', 
					"excerpt" => '300',
					"date_format" => '', // http://codex.wordpress.org/Formatting_Date_and_Time								
					"maincolor" => '#FFF',
					"opacity" => '0.9',
					"orderby" => 'date',
					"order" => 'DESC',
					"item_show" => '3'									
					), 
					$attr)
		);
		
		if(empty($num) || $num == '') { $num = '-1'; }


		if(empty($lazyload)) { $lazyload = 'true'; }
		if(empty($item_show) || $item_show == '') { $item_show = '4'; }		
		if(empty($paginationSpeed) || $paginationSpeed == '') { $paginationSpeed = '1000'; }
		if(empty($goToFirstSpeed) || $goToFirstSpeed == '') { $goToFirstSpeed = '2000'; }



		
		static $istance;
		$istance++;
		
		if($opacity == '') {
			$opacity = '1';
		}		
		
		$rgb_main_color = admegapostshex2rgb($maincolor);
		$rgba_main_color = "rgba( ".$rgb_main_color[0]." , ".$rgb_main_color[1]." , ".$rgb_main_color[2]." , ".$opacity.")";	

		if($excerpt == '') {
			$excerpt = '300';
		}
		

		
		$query = 'posts_per_page='.$num.'&post_status=publish';
		
		

		
		if($source == 'post') {
			if($category == 'all') {
				$category = '';
			}					
			$query .= '&post_type=post&category_name='.$category;
		} else {
			$query .= '&post_type='.$post_type;
		}
			$query .= '&order='.$order.'&orderby='.$orderby;	
		
		$return = "<style type=\"text/css\">
						.posts_newsticker_type2.admpselector-$istance #admp-newsticker-1 li {
							background:{$rgba_main_color};
						}
						.posts_newsticker_type2.admpselector-$istance .newsticker-info {
							background:{$rgba_main_color};
						}
						.posts_newsticker_type2.admpselector-$istance #newsticker-infos-triangle {
							border-color:rgba(0,0,0,0.0) rgba(0,0,0,0.0) {$rgba_main_color};
						}
		 	     	</style>";
		$return .= '<script type="text/javascript">
					jQuery(document).ready(function($){
            			var nt_example1 = $(\'#admp-newsticker-'.$istance.'\').newsTicker({
							row_height: 55,
							max_rows: 1,
							duration: 4000,
							speed: 300,
							prevButton: $(\'#newsticker-prev-'.$istance.'\'),
							nextButton: $(\'#newsticker-next-'.$istance.'\'),
							hasMoved: function() {
								$(\'#newsticker-infos-container'.$istance.'\').fadeOut(200, function(){
								$(\'#newsticker-infos-'.$istance.' .infos-hour\').text($(\'#admp-newsticker-'.$istance.' li:first span\').text());
								$(\'#newsticker-infos-'.$istance.' .infos-text\').text($(\'#admp-newsticker-'.$istance.' li:first\').data(\'infos\'));
								$(this).fadeIn(400);
	                		});
                			},
                			pause: function() {
                				$(\'#admp-newsticker-'.$istance.' li i\').removeClass(\'icon-play3\').addClass(\'icon-pause2\');
                			},
                			unpause: function() {
                			$(\'#admp-newsticker-'.$istance.' li i\').removeClass(\'icon-pause2\').addClass(\'icon-play3\');
                		}
            		});								
					}); 
					</script>';			
		
		$return .= '<div class="adclear"></div><div class="admp-newsticker-'.$istance.' admegaposts posts_newsticker_type2 admpselector-'.$istance.'">'; // OPEN MAIN DIV
		$return .= '<ul id="admp-newsticker-'.$istance.'">';
		$count = 0;
		$loop = new WP_Query($query);
		if($loop) { 
		while ( $loop->have_posts() ) : $loop->the_post();		
		$id_post = get_the_id();
		$link = get_permalink(); 		
		?>
        <?php $return .= '<li data-infos="'.admegaposts_excerpt($excerpt).'">'; 
        
        $return .= '<i class="icon-play3"></i><span class="hour">'.get_the_date($date_format).'</span><a href="'.$link.'">'.get_the_title().'</a>';
		
        
        $return .= '</li>';
		
		$count++;
		endwhile;
		}		
		
		$return .= '</ul>';
		
		$count2 = '0';
		if($loop) { 
		while ( $loop->have_posts() ) : $loop->the_post();	
		
		if($count2 == '0') {
				$return .=	'<div id="newsticker-infos-container'.$istance.'" class="newsticker-info">
									<div id="newsticker-infos-triangle"></div>
									<div id="newsticker-infos-'.$istance.'" >
										<div class="ad_one_fourth">
											<div class="infos-hour">
												'.get_the_date($date_format).'
											</div>
											<i class="icon-arrow-left" id="newsticker-prev-'.$istance.'"></i>
											<i class="icon-arrow-right" id="newsticker-next-'.$istance.'"></i>
										</div>
										<div class="ad_three_fourth ad_last">
											<div class="infos-text">'.admegaposts_excerpt($excerpt).'</div>
										</div>
									</div>
									<div class="adclear"></div>
								</div>';
			} else {
				break;
			}
		$count2++;	
		endwhile;
		}
		
				
		$return .= '</div>'; // CLOSE MAIN DIV
		
		

		
		wp_reset_query();
		return $return;
	}  
add_shortcode("adposts_newsticker_type2", "adposts_newsticker_type2");	